Bug 386571 - Undesirable /etc/xdg/autostart of puplet now honoured by KDE
Undesirable /etc/xdg/autostart of puplet now honoured by KDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 05:09 EST by Miles Sabin
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-16 11:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miles Sabin 2007-11-16 05:09:44 EST
Description of problem:
A recent change in the KDE packages (see mention in
https://bugzilla.redhat.com/show_bug.cgi?id=247284) means that all KDE sessions
start the puplet applet whether it's wanted or not. Removing pirut is not
currently an option because it is depended on by system-config-printer. In any
case, the choice of desktop-specific applets should not be determined by
system-wide configuration.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install pirut
2. Log in to a KDE desktop
Actual results:
puplet is autostarted.

Expected results:
puplet should not be autostarted unless configured to do so by the
logged in user.

Additional info:
Comment 1 Jeremy Katz 2007-11-16 11:06:06 EST
/etc/xdg/autostart is the right place.  GNOME allows for users to opt-in or out
of the autostarted applications.  If you _don't_ put it there, then the user has
to know it exists to start it which sucks.
Comment 2 Miles Sabin 2007-11-17 15:23:05 EST
How am I supposed to opt out in KDE? The only method I can see is, as root,

 root@frege:~# rm /etc/xdg/autostart/puplet.desktop

Any pointers would be most welcome.

Note You need to log in before you can comment on or make changes to this bug.